package dev.model;

public class User {
    private int id;
    private String username;
    private String password;  // holds the hash when loaded from DB
    private String email;

    public User() {}

    public User(String username, String password, String email) {
        this.username = username;
        this.password = password;
        this.email = email;
    }

    public int getId(){ return id; }
    public void setId(int id) { this.id = id; }

    public String getUsername(){ return username; }
    public void setUsername(String u){ this.username = u; }

    public String getPassword() { return password; }
    public void setPassword(String p){ this.password = p; }

    public String getEmail(){ return email; }
    public void setEmail(String e){ this.email = e; }
}